QXmpp: QXmppJingleReason Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppJingleReason Class Reference

## Public Types
enum | Type { None , AlternativeSession , Busy , Cancel , ConnectivityError , Decline , Expired , FailedApplication , FailedTransport , GeneralError , Gone , IncompatibleParameters , MediaError , SecurityError , Success , Timeout , UnsupportedApplications , UnsupportedTransports }
| This enum is used to describe a reason's type. More...
enum | RtpErrorCondition { NoErrorCondition , InvalidCrypto , CryptoRequired }

## Public Member Functions
| QXmppJingleReason ()
| Constructs an empty QXmppJingleReason.
| QXmppJingleReason (Type, const QString &, std::optional< RtpErrorCondition >)
QString | text () const
| Returns the reason's textual description.
void | setText (const QString &text)
| Sets the reason's textual description.
Type | type () const
| Gets the reason's type.
void | setType (Type type)
| Sets the reason's type.
RtpErrorCondition | rtpErrorCondition () const
void | setRtpErrorCondition (RtpErrorCondition rtpErrorCondition)

## Detailed Description

The QXmppJingleReason class represents the "reason" element of a QXmppJingle element.

## Member Enumeration Documentation

## ◆ RtpErrorCondition

enum QXmppJingleReason::RtpErrorCondition

Condition of an RTP-specific error

Since
  QXmpp 1.5

Enumerator
NoErrorCondition | There is no error condition.
InvalidCrypto | The encryption offer is rejected.
CryptoRequired | Encryption is required but not offered.

## ◆ Type

enum QXmppJingleReason::Type

This enum is used to describe a reason's type.

Enumerator
AlternativeSession | The party prefers to use an existing session with the peer rather than initiate a new session; the Jingle session ID of the alternative session SHOULD be provided as the XML character data of the <sid/> child.
Busy | The party is busy and cannot accept a session.
Cancel | The initiator wishes to formally cancel the session initiation request.
ConnectivityError | The action is related to connectivity problems.
Decline | The party wishes to formally decline the session.
Expired | The session length has exceeded a pre-defined time limit (e.g., a meeting hosted at a conference service).
FailedApplication | The party has been unable to initialize processing related to the application type.
FailedTransport | The party has been unable to establish connectivity for the transport method.
GeneralError | The action is related to a non-specific application error.
Gone | The entity is going offline or is no longer available.
IncompatibleParameters | The party supports the offered application type but does not support the offered or negotiated parameters.
MediaError | The action is related to media processing problems.
SecurityError | The action is related to a violation of local security policies.
Success | The action is generated during the normal course of state management and does not reflect any error.
Timeout | A request has not been answered so the sender is timing out the request.
UnsupportedApplications | The party supports none of the offered application types.
UnsupportedTransports | The party supports none of the offered transport methods.

## Constructor & Destructor Documentation

## ◆ QXmppJingleReason()

QXmppJingleReason::QXmppJingleReason | ( | Type | type,
|  | const QString & | text,
|  | std::optional< RtpErrorCondition > | rtpError )

Constructs a QXmppJingleReason with specific type, error text and RTP error condition.

Since
  QXmpp 1.11

## Member Function Documentation

## ◆ rtpErrorCondition()

QXmppJingleReason::RtpErrorCondition QXmppJingleReason::rtpErrorCondition | ( |  | ) | const

Returns the RTP error condition as specified by XEP-0167: Jingle RTP Sessions.

Returns
  the RTP error condition

Since
  QXmpp 1.5

## ◆ setRtpErrorCondition()

void QXmppJingleReason::setRtpErrorCondition | ( | RtpErrorCondition | rtpErrorCondition | ) |

Sets the RTP error condition as specified by XEP-0167: Jingle RTP Sessions.

Parameters

  rtpErrorCondition | RTP error condition

Since
  QXmpp 1.5

The documentation for this class was generated from the following files:

- QXmppJingleData.h
- QXmppJingleData.cpp